Skip to main content
`Ctrl`+`K`

# PetscFFlush

Flush a file stream

## Synopsis

    PetscErrorCode PetscFFlush(FILE *fd)

## Input Parameter

- fd - The file stream handle

## Notes

For output streams (and for update streams on which the last operation was output), writes any unwritten data from the stream’s buffer to the associated output device.

For input streams (and for update streams on which the last operation was input), the behavior is undefined.

If `fd` is `NULL`, all open output streams are flushed, including ones not directly accessible to the program.

## Fortran Note

Use `PetscFlush()`

## See Also

`PetscPrintf()`, `PetscFPrintf()`, `PetscVFPrintf()`, `PetscVSNPrintf()`

## Level

intermediate

## Location

src/sys/fileio/mprint.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages